using Php;

namespace PhpNative {
    public double floor_static (double value, string php_file, int php_line) throws Error {
        return Math.floor (value);
    }

    public zval floor_zval (zval value, string php_file, int php_line) throws Error {
        return zval.double_number (floor_static (zval_to_double (value), php_file, php_line));
    }
}
